Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.blueprint.container
Class NoSuchComponentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.osgi.service.blueprint.container.NoSuchComponentException

All Implemented Interfaces:
  Serializable

    public class NoSuchComponentException

extends RuntimeException

A Blueprint exception indicating that a component does not exist in a Blueprint Container. This exception is thrown when an attempt is made to create a component instance or lookup Component Metadata using a component id that does not exist in the Blueprint Container.

Version:
  $Revision: 7556 $
See Also:
  Serialized Form

Constructor Summary
`NoSuchComponentException(String id)` Create a No Such Component Exception for a non-existent component.
`NoSuchComponentException(String msg, String id)` Create a No Such Component Exception for a non-existent component.

Method Summary
`String` | `getComponentId()` Returns the id of the non-existent component.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchComponentException

    public NoSuchComponentException(String msg,
                                    String id)

  Create a No Such Component Exception for a non-existent component.

  Parameters:
    `msg` - The associated message.
    `id` - The id of the non-existent component.

### NoSuchComponentException

    public NoSuchComponentException(String id)

  Create a No Such Component Exception for a non-existent component.

  Parameters:
    `id` - The id of the non-existent component.

Method Detail

### getComponentId

    public String getComponentId()

  Returns the id of the non-existent component.

  Returns:
    The id of the non-existent component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.